Gabriel (10) [Avatar] Offline
#1
npm-debug.log
[ 59 KB ]
Hello,
I started reading the book this week and at the moment I'm trying to run the code samples. So I downloaded the code repo (BitBucket) and then followed the setup instructions.

But I get some configuration errors. Running "npm install" produces this:

npm ERR! notarget No compatible version found: assert@0.5.0
npm ERR! notarget Valid install targets:
npm ERR! notarget 1.4.1, 1.4.0, 1.3.0, 1.2.0, 1.1.2, 1.1.1, 1.1.0, 1.0.3, 1.0.2, 1.0.1, 1.0.0, 0.4.9

I checked on NPM and in fact version 0.5.0 of package "assert" doesn't exist. But there's another package named "assert.js" with version 0.5.0. So it seems that the "package.json" in the project doesn't have the dependencies right or there's an error in the package name.

Could you please update the "package.json" file?

I attach the "npm-debug.log" file generated by NPM.

Thanks and best regards,
Gabriel

Paul Daniels (14) [Avatar] Offline
#2
Hi! Thanks for your comment.

We have since moved our examples repository to github. Please consider the code on the bitbucket to be deprecated.

You can find the latest code at: https://github.com/RxJSInAction/rxjs-in-action

Thanks!
Gabriel (10) [Avatar] Offline
#3
Ok. Thank you for the answer, I'll download the new version : )

Please notice that the link provided with the book (on my account at Manning), still points to the wrong repository (https://bitbucket.org/rxjsia/rxjs-in-action/overview)

Thanks again and best regards,
Gabriel

Paul Daniels (14) [Avatar] Offline
#4
Glad to help! And thanks for pointing that out, I'll follow up with the team that manages the code links!

Cheers!